跳到正文
LumiPath API
接口参考发布

定时发布的状态。传 `scheduleJobIds` 查询指定的几条,不传则列出所有待执行的。

post/api/v1/social-posts/schedule/status

API Key 拥有完整权限(可发布、删除),写操作请在你自己的环境中执行。

鉴权

ApiKeyAuth
header鉴权Bearer <lumi>

Authorization: Bearer lumi_xxx。用户 API Key 拥有完整权限,自主运行的 agent 可以发布视频、取消任务。每个账号只有一把 Key,如需隔离请为 agent 使用单独的 LumiPath 账号。

请求体

application/json
  1. body
scheduleJobIds?array<string>

不传则列出当前用户所有待执行的定时发布。

数组元素items <= 100

响应体

成功

application/json
  1. response
items*array<>
请求示例
curl -X POST 'https://app.lumipath.cn/api/v1/social-posts/schedule/status' \  -H 'Content-Type: application/json' \  -d '{}'
响应示例
{  "items": [    {      "scheduleJobId": "string",      "status": "scheduled",      "scheduledAt": "string",      "platforms": [        "string"      ],      "contentType": "string",      "publishJobIds": [        "string"      ],      "error": "string"    }  ]}